4 Replies Latest reply: Jan 15, 2013 7:10 AM by AshleyCraig1987
AshleyCraig1987 Level 1 Level 1 (0 points)

I have an iMac (7,1) with OS X 10.5.8 and need to update the OS to a more recent version so I can download iTunes version 10.7 or later, how do I do this? I just need any version of OS X that will let me access my new iPhone5 from my Mac. I currently have iTunes version 10.6.3, when I plug my iPhone into my Mac I get a message saying that I need iTunes version 10.7 or later. When I try to download it I'm told that I need OS X needs to be updated. If I try to look for new software updates from my Mac (for OS X) or from iTunes (for iTunes) I'm told that both are up to date so I'm not sure how to proceed.


iMac, Mac OS X (10.5.8)